Bug 173723 - xmms-flac GUI configuration still crashes with glibc double-free error
Summary: xmms-flac GUI configuration still crashes with glibc double-free error
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xmms-flac   
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-19 17:09 UTC by Øyvind Stegard
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.1.2-25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-22 11:30:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for xmms-flac.spec (1.21 KB, patch)
2005-11-19 17:09 UTC, Øyvind Stegard
no flags Details | Diff
Patch from flac-CVS fixing double-free problems in GUI code. (2.76 KB, patch)
2005-11-19 17:10 UTC, Øyvind Stegard
no flags Details | Diff

Description Øyvind Stegard 2005-11-19 17:09:55 UTC
xmms-flac GUI configuration still crashes with glibc double-free error.

Description of problem:
When configuring the flac plugin for xmms, it crashes with glibc double-free
warning/error.

Version-Release number of selected component (if applicable):
xmms-flac-1.1.2-24 (Fedora Core 4)

How reproducible:
Always.

Steps to Reproduce:
1. Open xmms
2. Configure flac-plugin
3. Close configuration window.
  
Actual results:
Crash with glibc-warning.

Expected results:
No crash.

Additional info:
I'm including an updated patch from flac CVS which fixes the problem properly
for me, and a patch for the RPM spec file.

Comment 1 Øyvind Stegard 2005-11-19 17:09:56 UTC
Created attachment 121263 [details]
Patch for xmms-flac.spec

Comment 2 Øyvind Stegard 2005-11-19 17:10:52 UTC
Created attachment 121264 [details]
Patch from flac-CVS fixing double-free problems in GUI code.

Comment 3 Matthias Saou 2005-11-22 11:30:10 UTC
Thanks for the updated patch.
Expect the new FC-4 and devel builds anytime now.


Note You need to log in before you can comment on or make changes to this bug.